package com.fjhx.victoriatourist.entity.excess.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 多货登记明细
 * </p>
 *
 * @author
 * @since 2024-03-27
 */
@Getter
@Setter
@TableName("excess_goods_details")
public class ExcessGoodsDetails extends BasePo {

    /**
     * 多货登记id
     */
    private Long excessGoodsInfoId;

    /**
     * 待入库id
     */
    private Long stockWaitId;

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 处理方式
     */
    private Integer processingMethod;

    /**
     * 是否提交
     */
    private Integer isSubmit;

    /**
     * 入库物流id
     */
    private Long logisticsInfosId;

    private Long purchaseId;

    private String backLogisticsCompanyCode;
    private String backLogisticsCode;


}
